<?php
/**
 * Multipurpose Photography: Block Patterns
 *
 * @package Multipurpose Photography
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'multipurpose-photography',
		array( 'label' => __( 'Multipurpose Photography', 'multipurpose-photography' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'multipurpose-photography/banner-section',
		array(
			'title'      => __( 'Banner Section', 'multipurpose-photography' ),
			'categories' => array( 'multipurpose-photography' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/block-pattern/images/banner.png\",\"id\":228,\"dimRatio\":50,\"align\":\"full\",\"className\":\"banner-section \"} -->\n<div class=\"wp-block-cover alignfull banner-section px-5\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-228\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/block-pattern/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":1,\"textColor\":\"white\",\"fontSize\":\"large\"} -->\n<h1 class=\"has-text-align-center has-white-color has-text-color has-large-font-size\"><strong>THE STANDARD LOREM EPSUM PASSAGE</strong></h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"center\"} -->\n<p class=\"has-text-align-center\">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"backgroundColor\":\"black\",\"style\":{\"border\":{\"radius\":\"0px\"},\"typography\":{\"fontSize\":\"16px\"}},\"className\":\"banner-btn is-style-outline text-decoration-none\"} -->\n<div class=\"wp-block-button has-custom-font-size banner-btn is-style-outline text-decoration-none\" style=\"font-size:16px\"><a class=\"wp-block-button__link has-black-background-color has-background\" style=\"border-radius:0px\"><strong>Read More</strong></a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'multipurpose-photography/service-section',
		array(
			'title'      => __( 'service-section', 'multipurpose-photography' ),
			'categories' => array( 'multipurpose-photography' ),
			'content'    => "<!-- wp:group {\"className\":\"service-section mt-5 \"} -->\n<div class=\"wp-block-group service-section mt-5\"><!-- wp:group {\"align\":\"full\",\"className\":\"service-head mb-5 text-center\"} -->\n<div class=\"wp-block-group alignfull service-head mb-5 text-center\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"23px\"},\"color\":{\"text\":\"#222d35\"}},\"className\":\"service-heading\"} -->\n<h2 class=\"has-text-align-center service-heading has-text-color\" style=\"color:#222d35;font-size:23px\">Services We Provide</h2>\n<!-- /wp:heading --></div>\n<!-- /wp:group -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"className\":\"service-box\"} -->\n<div class=\"wp-block-column service-box\"><!-- wp:image {\"id\":282,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-pattern/images/service-image1.png\" alt=\"\" class=\"wp-image-282\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222d35\"}},\"className\":\"service-title\"} -->\n<h4 class=\"service-title has-text-color\" style=\"color:#222d35\">Service Title 01</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"service-box\"} -->\n<div class=\"wp-block-column service-box\"><!-- wp:image {\"id\":283,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-pattern/images/service-image2.png\" alt=\"\" class=\"wp-image-283\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222d35\"}}} -->\n<h4 class=\"has-text-color\" style=\"color:#222d35\">Service Title 02</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"service-box\"} -->\n<div class=\"wp-block-column service-box\"><!-- wp:image {\"id\":284,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-pattern/images/service-image3.png\" alt=\"\" class=\"wp-image-284\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222d35\"}}} -->\n<h4 class=\"has-text-color\" style=\"color:#222d35\">Service Title 03</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"service-box\"} -->\n<div class=\"wp-block-column service-box\"><!-- wp:image {\"id\":285,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/block-pattern/images/service-image4.png\" alt=\"\" class=\"wp-image-285\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"level\":4,\"style\":{\"color\":{\"text\":\"#222d35\"}}} -->\n<h4 class=\"has-text-color\" style=\"color:#222d35\">Service Title 04</h4>\n<!-- /wp:heading --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}